%define	distname	fusion-icon

Name:		compiz-fusion-icon
Version:	0.2.2
Release:	%mkrel 3
Summary:	Simple tray icon for compiz
Group:		System/X11
License:	GPLv2+
URL:		https://github.com/compiz-reloaded/fusion-icon
Source0:	https://github.com/compiz-reloaded/%{distname}/releases/download/v%{version}/%{distname}-%{version}.tar.xz

Patch0:		fusion-icon-0.2.2-mga-add_mageia_gl_paths.patch
Patch1:		fusion-icon-0.2.2-mga-ignore_desktop_hints.patch
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:	compizconfig-python
Requires:	python-gobject
Requires:	glxinfo
Requires:	xvinfo
Requires:	compiz >= 0.9
Requires:	ccsm
Requires:	gobject-introspection

Obsoletes:	python-%{distname}
%rename		fusion-icon

%description
Compiz-fusion-icon is a simple tray icon for compiz, it allows you
to graphically choose decorator, window manager and access control center.

If you use a Qt5 based desktop then you should also install
%{name}-qt package.

%package qt
Summary:	Simple tray icon for compiz
Group:		System/X11
Requires:	%{name} = %{version}
Requires:	python-qt5

%description qt
Compiz-fusion-icon is a simple tray icon for compiz, it allows you
to graphically choose decorator, window manager and access control center.

This package provides Qt gui to the application.
If you don't use Qt5 based desktop then %{name} should suffice.

%prep
%autosetup -n %{distname}-%{version} -p1

# Fix libdir in data.py
sed -i "s|MULTILIBDIR|%{_libdir}|g" FusionIcon/data.py

%build
%py2_build -- --with-gtk=3.0 --with-qt=5.0

%install
%py2_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{distname}.desktop

%files
%doc COPYING NEWS VERSION
%{_bindir}/%{distname}
%{_datadir}/applications/%{distname}.desktop
%dir %{python2_sitelib}/FusionIcon/
%{python2_sitelib}/FusionIcon/*py*
%{_datadir}/appdata/%{distname}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{distname}.png
%{_datadir}/icons/hicolor/scalable/apps/%{distname}.svg
%{python2_sitelib}/fusion_icon-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/FusionIcon/interface_gtk/

%files qt
%{python2_sitelib}/FusionIcon/interface_qt/


%changelog
* Fri Feb 10 2017 tarakbumba <tarakbumba> 0.2.2-3.mga6
+ Revision: 1085667
- Architecture independent again

* Mon Feb 06 2017 tarakbumba <tarakbumba> 0.2.2-2.mga6
+ Revision: 1085052
- Fix dependency installation by making arch spesific
- Split package for Qt interface

* Mon Feb 06 2017 tarakbumba <tarakbumba> 0.2.2-1.mga6
+ Revision: 1084889
- Updated to 0.2.2 version

* Sat Feb 20 2016 umeabot <umeabot> 0.1-15.mga6
+ Revision: 971717
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 0.1-14.mga6
+ Revision: 892391
- remove empty lang files to fix build with latest rpm
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 0.1-13.mga5
+ Revision: 746024
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-12.mga5
+ Revision: 726059
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-11.mga5
+ Revision: 678511
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.1-10.mga5
+ Revision: 628141
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1-9.mga4
+ Revision: 542486
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.1-8.mga4
+ Revision: 497679
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 0.1-7.mga3
+ Revision: 348108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 julien <julien> 0.1-6.mga2
+ Revision: 172915
- rename fusion-icon to compiz-fusion-icon to be more discoverable
- rename to compiz-fusion-icon

* Sat Nov 19 2011 julien <julien> 0.1-5.mga2
+ Revision: 169386
- add patch from fedora to adapt to compiz 0.9.x
- add a require on compiz >= 0.9

* Sun Oct 09 2011 julien <julien> 0.1-4.mga2
+ Revision: 153489
- add a Requires on compiz since fusion-icon doesn't work without

* Sun Oct 02 2011 julien <julien> 0.1-3.mga2
+ Revision: 150997
- bump release to stay greater than mga1

* Wed Sep 28 2011 julien <julien> 0.1-2.mga2
+ Revision: 150081
- no need to complexify with two package (cf python policy)

* Sat Jun 11 2011 julien <julien> 0.1-1.mga2
+ Revision: 103470
- add up to date LICENSE file
- split in two package to follow python modules guidelines
- rename patch0
- rename patch0
- cleanup spec file
  	- imported package fusion-icon
- imported package fusion-icon

